const https = require("https");

module.exports = {
	"get": function (url) {
		return new Promise(function (resolve, reject) {
			var request = https.get(url, function (response) {
				if (response.statusCode != 200) return reject(new Error("Response status code wasn't 200. "));

				response.setEncoding("utf-8");
				let body = "";

				response.on("data", function (chunk) {
					body += chunk;
				});

				response.on("end", function () {
					resolve(body);
				});
			});

			request.on("error", reject);
		});
	},
	"getStream": function (url) {
		return new Promise(function (resolve, reject) {
			var request = https.get(url, function (response) {
				if (response.statusCode != 200) return reject(new Error("Response status code wasn't 200"));

				resolve(response);
			});

			request.on("error", reject);
		});
	}
};
